[%# shownote_template3.tpl -%]
[%- USE date -%]
[%- correspondents = "http://hackerpublicradio.org/correspondents.php" -%]
[%- DEFAULT skip_comments = 0 -%]
<!DOCTYPE HTML>
<html>
<body>
<h1>HPR Community News for [% review_month %]</h1>

<h2>New hosts</h2>
<p>
[% IF hosts.size > 0 -%]
Welcome to our new hosts: <br />
[%- count = 0 %]
[%- FOREACH row IN hosts %]
    [%- count = count + 1 %]
    <a href="[% correspondents %]?hostid=[% row.hostid %]">[% row.host %]</a>
    [%- count < hosts.size ? ', ' : '.' %]
[%- END %]
[% ELSE -%]
There were no new hosts this month.
[% END -%]
</p>

<h2>Last Month's Shows</h2>
<table>
    <thead>
	<tr>
	<th align="left">Id</th>
	<th align="left">Date</th>
	<th align="left">Title</th>
	<th align="left">Host</th>
	</tr>
    </thead>
    <tbody>
	[%- FOREACH row IN shows %]
	<tr valign="top">
	<td align="left"><strong>[% row.eps_id %]</strong></td>
	<td align="left">[% row.date %]</td>
	<td align="left"><a href="http://hackerpublicradio.org/eps.php?id=[% row.eps_id %]">[% row.title FILTER html_entity %]</a></td>
	<td align="left"><a href="[% correspondents %]?hostid=[% row.ho_hostid %]">[% row.ho_host FILTER html_entity %]</a></td>
	</tr>
	[%- END %]
    </tbody>
</table>

[%- IF includefile.defined -%]
<h2>Mailing List discussions</h2>
<p>
Policy decisions surrounding HPR are taken by the community as a whole. This discussion takes 
place on the <a href="http://hackerpublicradio.org/maillist">Mail List</a> which is open to all
HPR listeners and contributors. The discussions are open and available on the
<a href="http://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio">Gmane</a>
archive.
</p>
<p>
Discussed this month were:
[%- INCLUDE $includefile %]
</p>
[%- END -%]

[%# Skip comments if told to by the caller -%]
[%- IF skip_comments == 0 -%]
<h2>Comments this month</h2>

[% IF comments.size > 0 -%]
<p>There are [% comments.size %] comments:</p>
<ul>
[%- last_ep = 0 -%]
[%- FOREACH row IN comments -%]
[%= IF last_ep != row.episode =%]
[%= IF last_ep != 0 %]
</ol><br/></li>
[%= END %]
<li><strong><a href="http://hackerpublicradio.org[% row.comment_identifier %]">hpr[% row.episode %]</a></strong>
([% row.date %]) "<em>[% row.title FILTER html_entity %]</em>"
by <a href="[% correspondents %]?hostid=[% row.hostid %]">[% row.host %]</a>.
<ol>
[%- END -%]
[%- last_ep = row.episode %]
<li>[% row.comment_author_name FILTER html_entity -%] on [% date.format(row.comment_timestamp,'%Y-%m-%d') -%]:
[%- IF row.comment_title.length > 0 -%]
"[% row.comment_title FILTER html_entity %]"
[%- ELSE -%]
"[no title]"
[%- END -%]
</li>
[%- END -%]
</ol>
</li>
</ul>
[%- ELSE %]
There were no comments this month.
[%- END %]
[%- END %]

</body>
</html>
[%# 
  # vim: syntax=tt2:ts=8:sw=4:ai:et:tw=78:fo=tcrqn21
-%]

