[%# shownote_template5.tpl 2016-07-23 -%]
[%# HTML snippet for insertion into the database -%]
[%- USE date -%]
[%- correspondents = "http://hackerpublicradio.org/correspondents.php" -%]
[%- DEFAULT skip_comments = 0 -%]
[%# <h1>HPR Community News for {% review_month %}</h1> -%]

<h2>New hosts</h2>
<p>
[% IF hosts.size > 0 -%]
Welcome to our new host[%- hosts.size > 1 ? 's' : '' -%]: <br />
[%- count = 0 %]
[%- FOREACH row IN hosts %]
    [%- count = count + 1 %]
    <a href="[% correspondents %]?hostid=[% row.hostid %]" target="_blank">[% row.host %]</a>
    [%- count < hosts.size ? ', ' : '.' %]
[%- END %]
[% ELSE -%]
There were no new hosts this month.
[% END -%]
</p>

<h2>Last Month's Shows</h2>
[%# The 'summary' attribute is deprecated in HTML5 but is included here to      -%]
[%# prevent errors being reported in the note checker                           -%]
<table id="t01" summary="Last month's shows">
    <tr>
    <th align="left">Id</th>
    <th align="left">Day</th>
    <th align="left">Date</th>
    <th align="left">Title</th>
    <th align="left">Host</th>
    </tr>
    [%- FOREACH row IN shows %]
    <tr valign="top">
    <td align="left"><strong><a href="http://hackerpublicradio.org/eps.php?id=[% row.eps_id %]" target="_blank">[% row.eps_id %]</a></strong></td>
    <td align="left">[% date.format(row.date,'%a') %]</td>
    <td align="left">[% date.format(row.date,'%Y-%m-%d') %]</td>
    <td align="left"><a href="http://hackerpublicradio.org/eps.php?id=[% row.eps_id %]" target="_blank">[% row.title %]</a></td>
    <td align="left"><a href="[% correspondents %]?hostid=[% row.ho_hostid %]" target="_blank">[% row.ho_host FILTER html_entity %]</a></td>
    </tr>
    [%- END %]
</table>

[%- IF includefile.defined -%]
<h2>Mailing List discussions</h2>
<p>
Policy decisions surrounding HPR are taken by the community as a whole. This discussion takes
place on the <a href="http://hackerpublicradio.org/maillist" target="_blank">Mail List</a> which is open to all
HPR listeners and contributors. The discussions are open and available on the
<a href="http://news.gmane.org/gmane.network.syndication.podcast.hacker-public-radio" target="_blank">Gmane</a>
archive.
</p>
<p>The main threads this month were:</p>
[% INCLUDE $includefile -%]
[%- END %]

[%# Skip comments if told to by the caller -%]
[%- IF skip_comments == 0 -%]
<h2>Comments this month</h2>

[% IF comment_count > 0 -%]
<p>These are comments which have been made during the past month, either to shows
released during the month or to past shows.</p>
<p>There [%- comment_count == 1 ? "is $comment_count comment" : "are $comment_count comments" -%]:</p>
<ul>
[%- last_ep = 0 -%]
[%- FOREACH row IN comments -%]
[%= IF last_ep != row.episode =%]
[%= IF last_ep != 0 %]
</ul><br/></li>
[%= END %]
<li><strong><a href="[% row.identifier_url %]#comments" target="_blank">hpr[% row.episode %]</a></strong>
([% row.date %]) "<em>[% row.title %]</em>"
by <a href="[% correspondents %]?hostid=[% row.hostid %]" target="_blank">[% row.host %]</a>.
<ul>
[%- END -%]
[%- last_ep = row.episode %]
[%= IF row.in_range =%]
<li><a href="[% row.identifier_url %]#[% row.index %]" target="_blank">Comment [% row.index %]</a>:
[% row.comment_author_name FILTER html_entity -%] on [% date.format(row.comment_timestamp,'%Y-%m-%d') -%]:
[%- IF row.comment_title.length > 0 %]
"[% row.comment_title FILTER html_entity %]"
[%- ELSE -%]
"[no title]"
[%- END -%]
</li>
[%- END -%]
[%- END -%]
</ul>
</li>
</ul>
[%- ELSE %]
There were no comments this month.
[%- END %]
[%- END %]
[%#
  # vim: syntax=tt2:ts=8:sw=4:ai:et:tw=78:fo=tcrqn21
-%]

