/* licenses.sql
 *
 * [American spelling, for consistency with the rest of the database]
 */

DROP TABLE IF EXISTS licenses;

CREATE TABLE IF NOT EXISTS licenses (
    id          int(5) AUTO_INCREMENT PRIMARY KEY,
    short_name  varchar(11) NOT NULL,
    long_name   varchar(40) NOT NULL,
    url         varchar(80) NOT NULL
) CHARACTER SET utf8 COLLATE utf8_general_ci;


INSERT INTO licenses (short_name, long_name, url) VALUES
    ('CC-0', 'Public Domain Dedication', 'http://creativecommons.org/publicdomain/zero/1.0/'),
    ('CC-BY', 'Attribution', 'http://creativecommons.org/licenses/by/4.0'),
    ('CC-BY-SA', 'Attribution-ShareAlike', 'http://creativecommons.org/licenses/by-sa/3.0'),
    ('CC-BY-ND', 'Attribution-NoDerivs', 'http://creativecommons.org/licenses/by-nd/4.0'),
    ('CC-BY-NC', 'Attribution-NonCommercial', 'http://creativecommons.org/licenses/by-nc/4.0'),
    ('CC-BY-NC-SA', 'Attribution-NonCommercial-ShareAlike', 'http://creativecommons.org/licenses/by-nc-sa/4.0'),
    ('CC-BY-NC-ND', 'Attribution-NonCommercial-NoDerivs', 'http://creativecommons.org/licenses/by-nc-nd/4.0')
;

/*
vim: syntax=sql:ts=8:sw=4:et:ai:tw=75:
*/

